# Version roadmap

While the `FEATURES` file provides a checklist and rough progress indication,
it does not give any indication of priority.  This document, then, is a means
of sorting those features into a rough order of implementation.  Future version
numbers here are only a rough indication of expectations; intermediate breaking
changes and partial releases may require they be incremented.


## Core library

* f/1.1.1.
* f/1.1.3.1.
* f/1.3.1.
* f/1.3.3.1.
* f/1.1.3.2.
* f/1.4.1.  *(those which may be implemented at this point)*
* f/3.1.


## Re-implement binaries for testing

* f/2.1.
* f/2.2.
* f/2.3.
* f/2.5.
* f/2.6.


## libcdio-paranoia

* f/1.1.5.
* f/1.3.5.
* f/1.4.2.
* f/2.8.
* f/3.5.


## MMC commands

* f/1.1.2.
* f/1.3.2.
* f/1.4.1.  *(those which may be implemented at this point)*
* f/2.7.
* f/3.2.


## Non-audio data

* f/1.1.3.3.
* f/1.1.3.4.
* f/1.1.4.1.
* f/1.1.6.
* f/1.3.3.3.
* f/1.3.3.4.
* f/1.3.4.1.
* f/1.3.6.
* f/3.6.
