#include "cdio/compat/track.h"


// FFI-compatible wrappings

const char* track_format_string(track_format_t tf) {
    if (tf > TRACK_FORMAT_ERROR || tf < TRACK_FORMAT_AUDIO)
        return track_format2str[TRACK_FORMAT_ERROR];
    else
        return track_format2str[tf];
}

track_t invalid_track() {
    return CDIO_INVALID_TRACK;
}

track_t leadout_track() {
    return CDIO_CDROM_LEADOUT_TRACK;
}

track_format_t track_format_error() {
    return TRACK_FORMAT_ERROR;
}

track_t min_tracks() {
    return CDIO_CD_MIN_TRACK_NO;
}

track_t max_tracks() {
    return CDIO_CD_MAX_TRACKS;
}
