{-|
Description:    

Copyright:      (c) 2019 Sam May
License:        GPL-3.0-or-later
Maintainer:     ag@eitilt.life

Stability:      experimental
Portability:    portable
-}
module Test.Libcdio.Upstream.Foreign.Solaris (tests) where


import qualified Test.HUnit as U
import Test.HUnit ( (~:) )

import Foreign.Libcdio.Device

import Test.Libcdio.Upstream.Foreign.Common


tests :: U.Test
tests = "Foreign.Libcdio.Test.Solaris" ~: U.TestList tests'
  where tests' | haveDriver DriverSolaris =
                  [ find DriverSolaris (Just Scsi) check
                  ]
               | otherwise = []

check :: (Cdio, String) -> U.Assertion
check (cdio, source) = do
    checkSource cdio [source]
    checkAccessMode cdio [Scsi]
